Bug 235741 - Review Request: hippo-canvas - Crossplatform canvas using cairo
Review Request: hippo-canvas - Crossplatform canvas using cairo
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-09 17:07 EDT by Colin Walters
Modified: 2010-07-23 17:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-04 18:02:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
mock build log of hippo-canvas-0.2.13-2 on FC-devel i386 (40.81 KB, text/plain)
2007-04-28 11:57 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Colin Walters 2007-04-09 17:07:09 EDT
Spec URL: http://download.mugshot.org/extras/canvas/source/hippo-canvas.spec
SRPM URL: http://download.mugshot.org/extras/canvas/source/hippo-canvas-0.2.13-2.src.rpm
Description: This library will be necessary for eventual packaging of the "bigboard" Mugshot sidebar.  Likely in the future we will change the Mugshot package to depend on this as well.

I mostly just tweaked a spec file originally written by John Palmieri.  This is not my first RPM, though I do not currently maintain any Fedora packages; thus this will be my first in the new system.
Comment 1 Matthias Clasen 2007-04-19 13:16:11 EDT
The spec file looks fine in general, just a few minor comments:

A full source url is generally preferred, if you have one.

I wondered about the fact that the -devel package does not install a .pc file.
Comment 2 Mamoru TASAKA 2007-04-28 11:57:33 EDT
Created attachment 153716 [details]
mock build log of hippo-canvas-0.2.13-2 on FC-devel i386

Mock build on FC-devel i386 failed as attached.
Comment 3 Matthias Clasen 2007-05-03 13:44:07 EDT
rpmlint output:
E: hippo-canvas zero-length /usr/share/doc/hippo-canvas-0.2.13/AUTHORS
E: hippo-canvas zero-length /usr/share/doc/hippo-canvas-0.2.13/README
W: hippo-canvas-devel no-documentation
W: hippo-canvas-python no-documentation

Package name: ok
Spec file name: ok
Packaging guidelines: ok, just some cosmetic things:
- Descriptions should be full sentences ending in a .. 
- Typo: "multipul" should be "multiple"
License: ok, I assume. But I wonder why you need any of the
   "mugshot trademark" stuff in this package. Wouldn't it be
   easier to just make this straight GPL, since there is no
   actual "Mugshot" in this package, it is just a canvas...
License file included: ok
Spec file language and clarity: excellent
Upstream source: ok
Package build: 
Missing BRs: pygtk2-devel, pycairo-devel
Relocatable: n/a
Directory ownership: ok
File lists: ok
%clean section: ok
Macro use: ok
Content: ok
Large docs: n/a
%doc files: AUTHORS and README are empty, so either remove them
  or (better) put something in them.
Headers: ok
pc file: n/a
shared libs: ok
static libs: n/a
-devel dependencies: ok
.la file: ok
.desktop files: n/a
%install section cleans buildroot: ok
filename encoding: ok



Comment 4 Colin Walters 2007-05-03 14:48:18 EDT
Thanks for the comments, I've fixed most of these issues I believe, with the
exception of the doc warnings for hippo-canvas-{devel,python}; just talked with
Havoc about the LICENSE and we're going to make it plain LGPL I think.

A new version should be uploaded now.
Comment 5 Matthias Clasen 2007-05-03 23:07:06 EDT
Yes, looks fine. Approved. I guess you need a sponsor now to get the package
actually built. Of the desktop team, I know that at least alex is a sponsor,
so you may want to ask him for sponsorship.
Comment 6 Brian Pepple 2007-05-07 15:44:12 EDT
Colin, I'm willing to be your sponsor.
Comment 7 Brian Pepple 2007-05-07 17:07:11 EDT
MD5Sums:
966b23b717fad5c6d3efaac199b64b93  hippo-canvas-0.2.17.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All directories are owned by this or other packages
* No deprecated fields used
* All necessary BuildRequires listed.
* All desired features are enabled
* Package rebuilds as non-root user
* rpmlint only produces the following warnings that are fine:
 W: hippo-canvas-devel no-documentation
 W: hippo-canvas-python no-documentation

+1 APPROVED & I'll sponsor you if no one else has yet.

http://fedoraproject.org/wiki/PackageMaintainers/Join#head-0dbf12f9c493a3f20fae545bb9c1396cb0a88053
Comment 8 Colin Walters 2007-05-07 17:35:09 EDT
Awesome Brian, thanks for the review.  As I understand the process the next step
is to make an account, which I have done.  My username is 'walters'.
Comment 9 Brian Pepple 2007-05-07 17:58:58 EDT
Colin, I've approved you for the cvsextras group, which should leave your at
step 6 of here:
http://fedoraproject.org/wiki/PackageMaintainers/Join#head-a601c13b0950a89568deafa65f505b4b58ee869b

If you run into any problems, drop me a line.
Comment 10 Colin Walters 2007-05-09 11:58:28 EDT
New Package CVS Request
=======================
Package Name: hippo-canvas
Short Description:  Crossplatform canvas using cairo
Owners: walters@redhat.com
Branches: 
InitialCC: 
Comment 11 Brian Pepple 2007-06-02 09:41:43 EDT
Colin, has this been built yet?  If so, this bug can be closed.
Comment 12 Colin Walters 2007-06-04 18:02:06 EDT
Package Change Request
======================
Package Name: hippo-canvas
New Branches: F7
Comment 13 Jason Tibbitts 2007-06-05 19:20:25 EDT
CVS done.
Comment 14 Colin Walters 2007-06-27 16:27:02 EDT
Package Change Request
======================
Package Name: hippo-canvas
New Owners: walters@redhat.com,johnp@redhat.com,mpg@redhat.com
Comment 15 Kevin Fenzi 2007-06-28 16:11:01 EDT
cvs done.
Comment 16 Marco Pesenti Gritti 2007-07-11 07:40:38 EDT
Package Change Request
======================
Package Name: hippo-canvas
New Branches: OLPC-2
Comment 17 Kevin Fenzi 2007-07-11 22:12:32 EDT
cvs done.
Comment 18 Tomeu Vizoso 2008-11-13 05:36:53 EST
Package Change Request
======================
Package Name: hippo-canvas
New Branches: OLPC-4
Owners: mpg erikos tomeu

We need to fork this package because Sugar 0.83 (which should ship in the F10-based 9.1 OLPC release) depends on the three commits referenced below, which introduces API changes and thus cannot be applied in the F10 branch.

http://svn.gnome.org/viewvc/hippo-canvas?view=revision&revision=7297
http://svn.gnome.org/viewvc/hippo-canvas?view=revision&revision=7296
http://svn.gnome.org/viewvc/hippo-canvas?view=revision&revision=7295
Comment 19 Kevin Fenzi 2008-11-14 00:48:30 EST
cvs done.
Comment 20 Sebastian Dziallas 2010-07-21 09:46:16 EDT
Package Change Request
======================
Package Name: hippo-canvas
New Branches: EL-6
Owners: sdz pbrobinson

I'm the new owner of hippo-canvas after talking to Colin. This package is another dependency for Sugar in our effort to bring it to EPEL.
Comment 21 Kevin Fenzi 2010-07-23 17:24:35 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.